Package edu.msu.cme.rdp.classifier.comparison

# Class PixelCalculatorBean

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.PixelCalculatorBean

public class PixelCalculatorBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`PixelCalculatorBean()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumOfChildren()`
`String`
`getRank()`
`String`
`getS1GifPercent()`
`String`
`getS1PercentStr()`
`String`
`getS2GifPercent()`
`String`
`getS2PercentStr()`
`boolean`
`isSignificant()`
`void`
`setS1Total(int total)`
`void`
`setS2Total(int total)`
`void`
`setTaxon(Taxon t)`
`void`
`setTaxonList(Iterator it)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PixelCalculatorBean

public PixelCalculatorBean()

## Method Details

### setS1Total

public void setS1Total(int total)

### setS2Total

public void setS2Total(int total)

### setTaxonList

public void setTaxonList(Iterator it)

### getNumOfChildren

public int getNumOfChildren()

### getRank

public String getRank()

### setTaxon

public void setTaxon(Taxon t)

### getS1PercentStr

public String getS1PercentStr()

### getS2PercentStr

public String getS2PercentStr()

### getS1GifPercent

public String getS1GifPercent()

### getS2GifPercent

public String getS2GifPercent()

### isSignificant

public boolean isSignificant()